/*=============== GOOGLE FONTS ===============*/
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap");
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;700&display=swap');
/*=============== VARIABLES CSS ===============*/
:root {
  --header-height: 3.5rem;
  /*========== Colors ==========*/
  /*Color mode HSL(hue, saturation, lightness)*/
  --first-color: hsl(220, 68%, 54%);
  --first-color-lighten: hsl(220, 68%, 97%);
  --title-color: hsl(220, 48%, 28%);
  --text-color: hsl(220, 12%, 45%);
  --body-color: hsl(220, 100%, 99%);
  --color: #ffffff;
  /*========== Font and typography ==========*/
  /*.5rem = 8px | 1rem = 16px ...*/
  --body-font: "Poppins", sans-serif;
  --footer-font: 'Open Sans', sans-serif;
  --normal-font-size: .938rem;
  --small-font-size: .813rem;
  --smaller-font-size: .75rem;
  /*========== Font weight ==========*/
  --font-medium: 500;
  --font-semi-bold: 600;
  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
}
@media screen and (min-width: 1024px) {
  :root {
    --normal-font-size: 1rem;
    --small-font-size: .875rem;
    --smaller-font-size: .813rem;
  }
}

/*=============== BASE ===============*/
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

body {
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  background-color: var(--body-color);
  color: var(--text-color);
}

ul,ol {
  list-style: none;
}

a {
  text-decoration: none;
}

/*=============== REUSABLE CSS CLASSES ===============*/
.container {
  max-width: 1120px;
  margin-inline: 1.5rem;
}

/*=============== HEADER ===============*/
.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  /* offset-x | offset-y | blur-radius | color */
  box-shadow: 6px 6px 8px hsla(220, 68%, 12%, 0.3);
  /* background-color: var(--body-color); */
  background-color:rgb(232, 232, 232);
  z-index: var(--z-fixed);
}

/*=============== NAV ===============*/
.nav {
  height: var(--header-height);
}

.logo {
  margin-left: -15px;
  width: 190px;
}
.nav__data {
  height: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  /* gap:80%; */
}
.nav__logo {
  display: inline-flex;
  align-items: center;
  column-gap: 0.25rem;
  color: var(--title-color);
  font-weight: var(--font-semi-bold);
  transition: color 0.3s;
  margin-right: 100%;
}
.nav__logo i {
  font-size: 1.25rem;
}
.nav__logo:hover {
  color: var(--first-color);
}
.nav__toggle {
  /* position: relative; */
  position: fixed;
  top: 1%;
  right: 3%;
  width: 40px;
  height: 40px;
  cursor: pointer;
}
.nav__toggle-menu, .nav__toggle-close {
  font-size: 1.25rem;
  top: 50px;
  color: var(--title-color);
  position: absolute;
  display: grid;
  place-items: center;
  inset: 0;
  cursor: pointer;
  transition: opacity 0.1s, transform 0.4s;
}
.nav__toggle-close {
  opacity: 0;
}
@media screen and (max-width: 1118px) {
  .nav__menu {
    background-color: var(--body-color);
    position: absolute;
    left: 0;
    top: 2.5rem;
    width: 100%;
    height: calc(100vh - 3.5rem);
    overflow: auto;
    padding-block: 1.5rem 4rem;
    pointer-events: none;
    opacity: 0;
    transition: top 0.4s, opacity 0.3s;
  }
  .nav__menu::-webkit-scrollbar {
    width: 0.5rem;
  }
  .nav__menu::-webkit-scrollbar-thumb {
    background-color: hsl(220, 12%, 70%);
  }
}
.nav__link {
  color: var(--title-color);
  font-weight: var(--font-semi-bold);
  padding: 1.25rem 1.5rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  transition: background-color 0.3s;
}
.nav__link:hover {
  background-color: var(--first-color-lighten);
}

/* Show menu */
.show-menu {
  opacity: 1;
  top: 3.5rem;
  pointer-events: initial;
  /* cursor:not-allowed */
}

/* Show icon */
.show-icon .nav__toggle-menu {
  opacity: 0;
  transform: rotate(90deg);
}

.show-icon .nav__toggle-close {
  opacity: 1;
  transform: rotate(90deg);
}

/*=============== DROPDOWN ===============*/
.dropdown__button {
  cursor: pointer;
}
.dropdown__arrow {
  font-size: 1.5rem;
  font-weight: initial;
  transition: transform 0.4s;
}
.dropdown__content, .dropdown__group, .dropdown__list {
  display: grid;
}
.dropdown__container {
  background-color: var(--first-color-lighten);
  height: 0;
  overflow: hidden;
  transition: height 0.4s;
}
.dropdown__content {
  row-gap: 1.75rem;
}
.dropdown__group {
  padding-left: 2.5rem;
  row-gap: 0.5rem;
}
.dropdown__group:first-child {
  margin-top: 1.25rem;
}
.dropdown__group:last-child {
  margin-bottom: 1.25rem;
}
.dropdown__icon i {
  font-size: 1.25rem;
  color: var(--first-color);
}
.dropdown__title {
  font-size: var(--small-font-size);
  font-weight: var(--font-semi-bold);
  color: var(--title-color);
}
.dropdown__list {
  row-gap: 0.25rem;
}
.dropdown__link {
  font-size: var(--smaller-font-size);
  font-weight: var(--font-medium);
  color: var(--text-color);
  transition: color 0.3s;
}
.dropdown__link:hover {
  color: var(--title-color);
}

/* Rotate dropdown icon */
.show-dropdown .dropdown__arrow {
  transform: rotate(180deg);
}

/*=============== BREAKPOINTS ===============*/
/* For small devices */
@media screen and (max-width: 300px) {
  .dropdown__group {
    padding-left: 1.5rem;
  }
}
/* For large devices */
@media screen and (min-width: 1118px) {
  /* Nav */
  .nav {
    height: calc(var(--header-height) + 2rem);
    display: flex;
    justify-content: space-between;
  }
  .nav__toggle {
    display: none;
  }
  .nav__list {
    display: flex;
    column-gap: 3rem;
    height: 100%;
  }
  .nav li {
    display: flex;
  }
  .nav__link {
    padding: 0;
  }
  .nav__link:hover {
    background-color: initial;
  }
  /* Dropdown */
  .dropdown__button {
    column-gap: 0.25rem;
    pointer-events: none;
  }
  .dropdown__container {
    height: max-content;
    position: absolute;
    left: 0;
    right: 0;
    top: 6.5rem;
    background-color: var(--body-color);
    /* box-shadow: 0 6px 8px hsla(220, 68%, 12%, 0.05); */
    /* offset-x | offset-y | blur-radius | color */
    box-shadow: 8px 8px 15px hsla(220, 68%, 12%, 0.3);
    pointer-events: none;
    opacity: 0;
    transition: top 0.4s, opacity 0.3s;
  }
  .dropdown__content {
    grid-template-columns: repeat(4, max-content);
    column-gap: 6rem;
    max-width: 1120px;
    margin-inline: auto;
  }
  .dropdown__group {
    padding: 4rem 0;
    align-content: baseline;
    row-gap: 1.25rem;
  }
  .dropdown__group:first-child, .dropdown__group:last-child {
    margin: 0;
  }
  .dropdown__list {
    row-gap: 0.75rem;
  }
  .dropdown__icon {
    width: 150px;
    height: 90px;
    background-color: var(--first-color-lighten);
    /* border-radius: 50%; */   /* Eliminado para adaptar fotos */
    display: grid;
    place-items: center;
    margin-bottom: 0.5rem;
  }
  .dropdown__icon i {
    font-size: 2rem;
  }
  .dropdown__title {
    font-size: var(--normal-font-size);
  }
  .dropdown__link {
    font-size: var(--small-font-size);
  }
  .dropdown__link:hover {
    color: var(--first-color);
  }
  .dropdown__item {
    cursor: pointer;
  }
  .dropdown__item:hover .dropdown__arrow {
    transform: rotate(180deg);
  }
  .dropdown__item:hover > .dropdown__container {
    top: 5.5rem;
    opacity: 1;
    pointer-events: initial;
    cursor: initial;
  }
}
@media screen and (min-width: 1152px) {
  .container {
    margin-inline: auto;
  }
}

/*=============== LOADER  ===============*/
/* Barras que simulan la espera hasta la carga de la página */
.contenedor-loader {
	display: block;
	position: fixed;
	width: 100vw;
	height: 100vh;
	background-color: rgba(255,255,255,0.7);
	z-index: 1000;
	display: flex;
	justify-content: center;
	align-items: center;
	transition: all 1.5s ease-in-out;

}

.loader {
	height: 95px;
	display: flex;
	align-items: center;
}

.linea {
	width: 6px;
	height: 95px;
	background-color: #05156f;
	margin: 0 3px;
	border-radius: 3px;
	animation: loader1 0.7s infinite;
}

.linea:nth-child(2) {
   animation-delay: .1s;
}
.linea:nth-child(3) {
   animation-delay: .2s;
}
.linea:nth-child(4) {
   animation-delay: .3s;
}
.linea:nth-child(5) {
   animation-delay: .4s;
}
.linea:nth-child(6) {
   animation-delay: .5s;
}
.linea:nth-child(7) {
   animation-delay: .3s;
}
.linea:nth-child(8) {
   animation-delay: .2s;
}

@keyframes loader1 {
	0% { height: 0;}
	50% { height: 95px;}
	100% { height: 0;}
}

/*=============== END LOADER  ===============*/


/*=============== Estilos del slider ===============*/
.slideshow {
  width: 100%;
  position: relative;
  margin-left: auto;
  margin-top: 2%;
  margin-bottom: 3%;
  height: 30vi;
}

.slider li, ul {
  width: 100%;
  height: 80%;
  padding: 0;
}

.slider li, a {
  text-decoration: none;
}

.slider img {
  padding: 0;
  width: 100%;
}

.slider .caption {
  position: relative;
  width: 45%;
  padding: 2%;
  justify-items: center;
  color: #e73737;
  text-shadow: 1px 1px 3px rgb(0, 0, 0);
  background-color: rgba(192, 223, 235, 0.4);
}

.slider .izq-1 {
  margin-left: 9%;
}

.slider .tope-1 {
  margin-top: -30%;
}

.slider .izq-2 {
  margin-left: 53%;
}

.slider .tope-2 {
  margin-top: -25%;
}

.slider .caption h2 {
  font-family: 'BebasNeue', sans-serif;
  font-size: 1.5vi;
}

.slider .caption p {
  /* text-shadow: 2px 2px 2px rgb(0, 0, 0); */
  text-shadow: 0 0 0 rgb(0, 0, 0);
  font-size: 0.9vi;
  color: #272727;
  width: 90%;
  text-align: center;
  margin-bottom: 2.5%;
}

.parrafo-sec {
  display: none;
}

.slider .caption a {
  font-size: 1.5vi;
}

.pagination {
  position: absolute;
  /* margin-top: -3%; */
  margin-top: 5%;
  width: 100%;
  display: flex;
  justify-content: center;
  gap: 0.7vi;

}

.pagination li {
  font-size: 1.2vi;
  /* margin: 2px 2px; */
  color: grey;
  cursor: pointer;

}

.left, .right {
  position: absolute;
  top: 45%;
  height: 20%;
  display: flex;
  align-items: center;
  color: rgb(255, 255, 255);
  font-size: 2.5vi;
  cursor: pointer;
  z-index: 2;

}

.left {
  left: 10px;
}

.right {
  right: 10px;
}

.btn {
  position: relative;
  padding: 1% 5px;
  text-decoration: none;
  color: #fff;
  font-size: 2vi;
  letter-spacing: 10px;
  width: 12em;
  text-align: center;
  letter-spacing: 0;
  transition: all 0.6s ease;
  z-index: 2;
}

.btn-2 {
  border: 0.3vi solid;
}

.btn-2:hover {
  background-color: #ffffff70;
  box-shadow: 0 0 20px var(--color);
  border-color: var(--color);
  color: #fff;
}

.btn-2 span:nth-child(n) {
  position: absolute;
  width: 1.3vi;
  height: 1.3vi;
  border: 0.2vi solid;
  transition: all 0.6s ease;
}

.btn-2 span:nth-child(1) {
  right: 10%;
  top: -0.8vi;
  background-color: #fff;
}

.btn-2 span:nth-child(2) {
  left: 10%;
  bottom: -0.8vi;
}

.btn-2:hover span:nth-child(1) {
  right: 80%;
  transform: rotate(90deg);
  color: var(--color);
  background-color: var(--color);
}

.btn-2:hover span:nth-child(2) {
  left: 80%;
  transform: rotate(90deg);
  color: var(--color);
}


@media only screen and (max-width: 500px) and (min-width:5px) {
  .slideshow {
    width: 100%;
    height: 100vi;
    margin-bottom: 5%;
  }

  .slider img {
    width: 100%;
  }
  .slider .caption h2 {
    font-size: 5.5vi;
    margin-bottom: 5%;
  }

  .slider .izq-1, .slider .izq-2  {
      margin: auto;
  }

  .slider .caption p {
     display: none;
  }

  .parrafo-sec {
    display: block;
    padding: 0 3%;
  }

  .slider .caption a {
    font-size: 4vi;
  }

  .pagination {
    display: none;
  }

  .slider .caption {
    margin-top: -10%;
    width: 100%;
    padding: 0;
  }

  .btn {
    font-size: 5vi;
  }

  .left, .right {
    font-size: 6vi;
    top: 8%;
  }
}

/*=============== final Estilos del slider ===============*/

/*  ::::::::::::::   Estilos del Pie de Página ::::::::::::::::::::*/
.pie-pagina {
  width: 100%;
  background-color: rgb(77, 118, 145);
  font-family: var(--footer-font);
  /* font-size: .8rem;  */
}

.pie-pagina .grupo-1 {
  width: 100%;
  max-width: 1200px;
  margin: auto;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 50px;
  padding: 45px 0;
}

.pie-pagina .grupo-1 .box figure {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.pie-pagina .grupo-1 .box figure img {
  width: 300px;
}

.pie-pagina .grupo-1 .box h2 {
  color: #fff;
  margin-bottom: 20px;
  font-size: 1rem;
  font-weight: 600;
}

.pie-pagina .grupo-1 .box p {
  color: #e6e3e3;
  margin-bottom: 10px;
}

.pie-pagina .grupo-1 .red-social a{
  display: inline-block;
  text-decoration: none;
  width: 45px;
  height: 45px;
  line-height: 45px;
  color: #fff;
  font-size: 1.8em;
  margin-right: 10px;
  background-color: rgb(96, 144, 173);
  text-align: center;
  transition: all 300ms ease;
}
.pie-pagina .grupo-1 .red-social a:hover {
  color: aquamarine;
}

.pie-pagina .grupo-2 {
  background-color: rgb(88, 132, 161);
  padding: 15px 10px;
  text-align: center;
  color: #fff;
}

.pie-pagina .grupo-2 small {
  font-size: 15px;
}

@media screen and (max-width:800px) {
  .pie-pagina .grupo-1 {
      width: 90%;
      grid-template-columns: repeat(1, 1fr);
      grid-gap: 30px;
      padding: 35px 0;
  }
}
/*  ::::::::::::::   Final de Estilos del Pie de Página ::::::::::::::::::::*/